# Moodle datalynx Module (mod_datalynx)

[![Build Status](https://secure.travis-ci.org/dasistwas/moodle-mod_datalynx.png)](https://travis-ci.org/dasistwas/moodle-mod_datalynx/)


This Moodle plugin is a powerful data management tool that allows you to create digital workflows for data management. Example usecases of this module are:
+ Education program management: Manage online courses, communicate with lecturers provide infos and keep an overview of ongoing, future and past courses.
+ Provide an application workflow for online applications (Submit application, Review application, Change status, Add comments)
+ Provide a course catalog
+ Manage conferences (Conference call, participants registration, paper submission etc.)

This is a professional tool. You can explore its potential the best way, when you are contracting edulabs.org for creating your personal digital workflow.
Please contact info@edulabs.org for improvements bug reports etc.

## What Does It Do?

The datalynx module provides possibilities to collect structured data and to process, display and export that data. You can create forms visible to ceratain users and 
views to display data for administration or for teachers. You can set fields and views visible or invisible for certain roles. You can also defines behaviours of fields
and renderers for fields and views. Custom filters provide the possibility to filter and search data. 

Interested in more features? [Contact us for a quote.](mailto:info@edulabs.org)

## Features
+ More then 20 different data types for structured data (from text to date to teammembers)
+ Create views visible to certain roles
+ Filter data with powerful filtering and search methods including a custom filter and an advanced filter
+ Create renderers in order to display your data the way you want it
+ Define notifications to be sent to certain roles triggered by events like "comment added"
+ Export your data to CSV, PDF
+ Import data via CSV
+ Create templates
+ Create views for administration, export, overview, etc..
+ Create field behaviours like required fields
+ Create renderers for fields


## Documentation
[Visit Moodle docs wiki](https://docs.moodle.org/36/en/Datalynx_module) for documentation. Installation documentation see [installation](https://docs.moodle.org/35/en/Installing_plugins)

## Communication
+ [Twitter: @edulabs_org](https://twitter.com/edulabs_org)
+ [Github: @dasistwas](https://github.com/dasistwas)

## Contributing to the datalynx module

Contact me on github (see above)

## Troubleshooting, Bugs, and Feedback
+ To report a bug, please [GitHub Issues](https://github.com/dasistwas/moodle-mod_datalynx/issues).
+ To provide feedback, please use the [GitHub Issues](https://github.com/dasistwas/moodle-mod_datalynx/issues).

## License
<a href="https://docs.moodle.org/dev/License" target="_blank"><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/93/GPLv3_Logo.svg/220px-GPLv3_Logo.svg.png" alt="GPL Logo" align="right"></a>  The Moodle datalynx module is licensed under the [GNU General Public License, Version 3](http://www.gnu.org/licenses/gpl-3.0.html).



## Contributors
Main contributers are David Bogner, Itamar Tzadok, Michael Niedermayer, Michael Pollak, Ivan Sầkiĉ, and many others.